Package org.codehaus.groovy.util

# Class ComplexKeyHashMap.Entry

java.lang.Object
org.codehaus.groovy.util.ComplexKeyHashMap.Entry

Direct Known Subclasses:
  `SingleKeyHashMap.Entry`, `TripleKeyHashMap.Entry`

Enclosing class:
  `ComplexKeyHashMap`

public static class ComplexKeyHashMap.Entry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`hash`
`ComplexKeyHashMap.Entry`
`next`
`Object`
`value`

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hash

public int hash

### next

public ComplexKeyHashMap.Entry next

### value

public Object value

## Constructor Details

### Entry

public Entry()

## Method Details

### getValue

public Object getValue()

### setValue

public void setValue(Object value)